@import url(http://fonts.googleapis.com/css?family=Open+Sans:400,700,600);

html,
body {
  height: 100%;
  /* The html and body elements cannot have any padding or margin. */
  -webkit-font-smoothing: antialiased;
  font-family: 'Open Sans', sans-serif;
}

.row {
  margin-left:0px;
  margin-right:0px;
}

/* Wrapper for page content to push down footer */
#wrap {
  min-height: 100%;
  height: auto !important;
  height: 100%;
  /* Negative indent footer by its height */
  margin: 0 auto -60px;
  /* Pad bottom by footer height */
  padding: 0 0 60px;
}

/* Set the fixed height of the footer here */
#footer {
  height: 60px;
  background-color: #f5f5f5;
  margin-top:50px;
  padding-top:20px;
  padding-bottom:20px;
}


/* Custom page CSS
-------------------------------------------------- */
/* CUSTOMIZE THE NAVBAR
-------------------------------------------------- */

/* Special class on .container surrounding .navbar, used for positioning it into place. */
.navbar-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 10;
}


/* Since positioning the image, we need to help out the caption */
.carousel-caption {
  z-index: 10;
	top:20%;
}
.carousel-caption h2 {
	font-size:4em;
	font-weight:bold;
}


/* Declare heights because of positioning of img element */
#myCarousel  .item {
	max-height:600px;
  background-color:#bbb;
}
#myCarousel img.carousel {
  position: absolute;
  top: 0;
  left: 0;
  min-width: 100%;

	min-height:100%;
	max-width:none;
}

.carousel-inner>.item>img, .carousel-inner>.item>a>img {
	max-width:100%;
	margin:auto;
}
blockquote {
    padding: 10px 0px;
    margin: 0 0 20px;
    font-size:1.4em;
		border-left: none;
}
#wrap > .container {
  padding: 60px 15px 0;
}
.container .credit {
  margin: 20px 0;
}

#footer {
  background-color:#414141;
}

#footer a {
  color:#efefef;
}

header {
  background: #333;
  color:#555;
}

header .dropdown-menu {
  top:74px;
  background: #ffcc33;
  border-width:0;
}

h1 {
  font-size:50px;
}

.logo {
  font-size:40px;
  position:absolute;
  z-index:1200;
  color:#333;
  top:70px;
  text-align:center;
  width:100%;
}

#nav {
  width: 100%;
  position:static;
  top:-32px;
}

#nav.affix {
   position: fixed;
   top: 0;
   z-index:10;
   -webkit-transition: all .6s ease-in-out;
}

#footer > .container {
  
}

@media (min-width: 767px) {
  .navbar-nav.nav-justified > li{
      float:none;
  }

}
@media (max-width: 767px) {

	.carousel-caption h2 
	{
		font-size:3em;
		background:rgba(255,255,255,0.2);
	}
	
	.carousel-inner>.item>img, .carousel-inner>.item>a>img {
		max-width:250%;
	}
	
	.carousel-caption {
  z-index: 10;
	top:10%;
}
}
  
.navbar-nav {
  margin: 1px 1px; 
}  
  
/* customize nav style */
.navbar-custom {
    background-color: #1E49B2;
	font-weight:700;
    text-transform:uppercase;
    border-width:0;
}
.navbar-custom  .navbar-nav>li>a {
	color: #ddd;
}
.navbar-custom  .dropdown-menu li>a:hover {
	color: #eee;
}
.navbar-custom  .navbar-nav li>a:hover, .navbar-nav li .open, .navbar-custom .navbar-nav .active a  {
	background-color: #FF6600;
}
.navbar-custom .navbar-nav>.dropdown>a .caret {
	border-top-color: #999;
	border-bottom-color: #999;
}

.navbar-collapse.in { /*3.0.2 bug workaround*/
    overflow-y: visible;
}

.navbar-toggle {
	outline:0;
}

.divider {
	height:50px;
}

.panel {
	border-width:0;
	background-color:#DDD;
}

@media (max-width: 768px) {
	header {
	
	}
}

#map-canvas {
  	width: 100%; 
  	height: 300px;
	margin: 0;
	padding: 15px;
}

.scroll-top {
   position:fixed;
   top:0;
   left:2%;
   z-index:100;
   background: #f2f3f2;
   font-size:24px;
   border-bottom-left-radius:3px;
   border-bottom-right-radius:3px;
}

.awarddisplay {
    position: fixed;
    bottom: 0;
    right: 2%;
	padding:2px;
	width:80px;
    z-index: 100;
    background: #f2f3f2;
    font-size: 24px;
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
	
}

.scroll-top a:link,.scroll-top a:visited {
  color:#222;
} 
 

section {
  color: #ffffff;
  min-height: 400px;
  height: auto !important;
  height: 100%;
  padding-top:100px;
}

.bg-1 {
	background: url('/images/home.jpg?v=2') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}

.bg-2 {
	background: url('/images/kitchen.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}

.bg-3 {
	background: url('/images/kitchen.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}

.about-bg-3, .gallery-bg-3 {
	background: url('/images/gallery/fullsize/0F0A9577.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}

.about-bg-1 {
	background: url('/images/gallery/fullsize/0F0A9469.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}

.additions-bg-3 {
	background: url('/images/gallery/fullsize/0F0A9582.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}

.additions-bg-1 {
	background: url('/images/gallery/fullsize/0F0A9606.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}

.newhomes-bg-3 {
	background: url('/images/gallery/fullsize/0F0A9616.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}

.newhomes-bg-1 {
	background: url('/images/gallery/fullsize/0F0A9623.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}
.newhomes-bg-4 {
	background: url('/images/aboutbg.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}

.renovations-bg-3 {
	background: url('/images/gallery/fullsize/0F0A9648.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}

.renovations-bg-1 {
	background: url('/images/gallery/fullsize/0F0A9469.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}

.testimonials-bg-3 {
	background: url('/images/gallery/fullsize/0F0A9577.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}

.testimonials-bg-1 {
	background: url('/images/gallery/fullsize/0F0A9469.jpg') no-repeat center center fixed; 
    -webkit-background-size: cover;
  	-moz-background-size: cover;
  	-o-background-size: cover;
  	background-size: cover;
}


.bg-4 {
	padding-top:30px;
    background-color:#e6e6e6;
}

.panel .img-responsive {
	
  max-height:250px;
	margin:auto;
}

/*
inspired from http://codepen.io/Rowno/pen/Afykb 
*/
.carousel-fade .carousel-inner .item {
  opacity: 0;
  transition-property: opacity;
}

.carousel-fade .carousel-inner .active {
  opacity: 1;
}

.carousel-fade .carousel-inner .active.left,
.carousel-fade .carousel-inner .active.right {
  left: 0;
  opacity: 0;
  z-index: 1;
}

.carousel-fade .carousel-inner .next.left,
.carousel-fade .carousel-inner .prev.right {
  opacity: 1;
}

.carousel-fade .carousel-control {
  z-index: 2;
}

.navbar {
	margin-bottom:0%;
}

.carousel-indicators li, .carousel-indicators li.active {
	border-color: #D55500; 
	width:30px;
	height:30px;
	border-radius:50px;
}
.carousel-indicators li.active {
	background-color: #D55500; 
}
.btn-primary { 
  color: #FFFFFF; 
  background-color: #FF6600; 
  border-color: #D55500; 
} 
 
.btn-primary:hover, 
.btn-primary:focus, 
.btn-primary:active, 
.btn-primary.active, 
.open .dropdown-toggle.btn-primary { 
  color: #FFFFFF; 
  background-color: #D55500; 
  border-color: #D55500; 
} 
 
.btn-primary:active, 
.btn-primary.active, 
.open .dropdown-toggle.btn-primary { 
  background-image: none; 
} 
 
.btn-primary.disabled, 
.btn-primary[disabled], 
fieldset[disabled] .btn-primary, 
.btn-primary.disabled:hover, 
.btn-primary[disabled]:hover, 
fieldset[disabled] .btn-primary:hover, 
.btn-primary.disabled:focus, 
.btn-primary[disabled]:focus, 
fieldset[disabled] .btn-primary:focus, 
.btn-primary.disabled:active, 
.btn-primary[disabled]:active, 
fieldset[disabled] .btn-primary:active, 
.btn-primary.disabled.active, 
.btn-primary[disabled].active, 
fieldset[disabled] .btn-primary.active { 
  background-color: #FF6600; 
  border-color: #D55500; 
} 
 
.btn-primary .badge { 
  color: #FF6600; 
  background-color: #FFFFFF; 
}
.testimonials	p {
	font-size:1.2em;
	font-weight:600;
}

.logodisplay img, .awarddisplay  {
    box-shadow: 5px 5px 10px #555;
}
/*
WHAT IS NEW IN 3.3: "Added transforms to improve carousel performance in modern browsers."
now override the 3.3 new styles for modern browsers & apply opacity
*/
@media all and (transform-3d), (-webkit-transform-3d) {
    .carousel-fade .carousel-inner > .item.next,
    .carousel-fade .carousel-inner > .item.active.right {
      opacity: 0;
      -webkit-transform: translate3d(0, 0, 0);
              transform: translate3d(0, 0, 0);
    }
    .carousel-fade .carousel-inner > .item.prev,
    .carousel-fade .carousel-inner > .item.active.left {
      opacity: 0;
      -webkit-transform: translate3d(0, 0, 0);
              transform: translate3d(0, 0, 0);
    }
    .carousel-fade .carousel-inner > .item.next.left,
    .carousel-fade .carousel-inner > .item.prev.right,
    .carousel-fade .carousel-inner > .item.active {
      opacity: 1;
      -webkit-transform: translate3d(0, 0, 0);
              transform: translate3d(0, 0, 0);
    }
}

.nav	{
	margin-bottom:0px;
}